Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360952 - Review Request: quake2 - Client for Quake2 Game (Yamagi Version)
Summary: Review Request: quake2 - Client for Quake2 Game (Yamagi Version)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 01:46 UTC by Frederico Lima
Modified: 2016-08-02 19:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-02 19:52:55 UTC
itamar: fedora-review+


Attachments (Terms of Use)

Description Frederico Lima 2016-07-28 01:46:58 UTC
Spec URL: https://fredlima.fedorapeople.org/packages/quake2.spec
SRPM URL: https://fredlima.fedorapeople.org/packages/quake2-2.5.34-1.fc24.src.rpm

Description: **This is my first package, I'm seeking a sponsor**

Yamagi Quake II is an enhanced client for id Software's Quake II. The main
focus is an unchanged single player experience like back in 1997, thus the
gameplay and the graphics are unaltered. However the user may use one of the
unofficial retexturing packs. Ic comparison with the official client, over
1000 bugs were fixed and an extensive code audit done, making
Yamagi Quake II one of the most solid Quake II implementations available.
Other than most Quake II source ports Yamagi Quake II is full 64 bit clean,
so it works perfectly on modern 64 bit processors and operating systems.

Fedora Account System Username: fredlima

Comment 1 Frederico Lima 2016-07-28 01:48:45 UTC
Link for Koji successfully build
http://koji.fedoraproject.org/koji/taskinfo?taskID=15041890

Comment 2 Frederico Lima 2016-07-28 03:31:28 UTC
Updated spec and srpm,
from version 2.5.34 to 5.34, forgot one plus 2 in the spec, so I removed one.
also removed gcc and make from spec because they already is in buildroot.

New links:
Spec URL: https://fredlima.fedorapeople.org/packages/quake2.spec
SRPM URL: https://fredlima.fedorapeople.org/packages/quake2-5.34-1.fc24.src.rpm


new koji successfully build
http://koji.fedoraproject.org/koji/taskinfo?taskID=15042922

Comment 3 Itamar Reis Peixoto 2016-07-28 03:33:24 UTC
please use rpmdev-bumspec, please document your spec file like quake3 people did here, https://admin.fedoraproject.org/pkgdb/package/rpms/quake3/

Comment 4 Frederico Lima 2016-07-28 04:25:34 UTC
(In reply to Itamar Reis Peixoto from comment #3)
> please use rpmdev-bumspec, please document your spec file like quake3 people
> did here, https://admin.fedoraproject.org/pkgdb/package/rpms/quake3/

Hi Itamar, I've did the changes to the %description of the spec file.
I will use rpmdev-bumspec also.

Can you take a look?

Thanks.

Comment 5 Itamar Reis Peixoto 2016-07-28 04:26:36 UTC
if you post new spec + new src.rpm here yes :-)

Comment 6 Itamar Reis Peixoto 2016-07-28 04:33:46 UTC
after you run rpmdev-bumspec and generate the src.rpm the new src.rpm filename differ from the older.

Comment 7 Frederico Lima 2016-07-28 04:36:11 UTC
(In reply to Itamar Reis Peixoto from comment #5)
> if you post new spec + new src.rpm here yes :-)

Spec URL: https://fredlima.fedorapeople.org/packages/quake2.spec
SRPM URL: https://fredlima.fedorapeople.org/packages/quake2-2.5.34-1.fc24.src.rpm

Comment 8 Itamar Reis Peixoto 2016-07-28 04:40:44 UTC
did you run bumpspec ?

you posted quake2-2.5.34-1.fc24.src.rpm
 
[itamar@localhost x]$ rpmdev-bumpspec quake2.spec
[itamar@localhost x]$ rpmbuild -bs quake2.spec 
Wrote: /home/itamar/rpmbuild/SRPMS/quake2-2.5.34-2.fc24.src.rpm

quake2-2.5.34-2.fc24.src.rpm [changed from 1 to 2]

Comment 10 Itamar Reis Peixoto 2016-07-28 04:50:04 UTC
please run rpmlint quake2-5.34-2.fc24.src.rpm  and fix.

Comment 12 Itamar Reis Peixoto 2016-07-28 05:30:22 UTC
take a look - >

1 - 
Issues:
=======
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros

2 - 

https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Tags_and_Sections

3 - instead of using cp and mkdir, I think you could use install (man install), it does Directory creation and file copying in one command, there are a macro for it called %{__install} , rpm -E '%{__install}'

4  Note: %defattr present but not needed

5 - Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.

Comment 13 Frederico Lima 2016-07-28 05:38:18 UTC
My rpmlint didn't show this.
I will fix that later as soon as I can.
Thank you very much.

Comment 14 Itamar Reis Peixoto 2016-07-28 05:54:27 UTC
5 is not required, please remove it from your spec.

Comment 15 Frederico Lima 2016-07-28 23:07:11 UTC
spec: https://fredlima.fedorapeople.org/packages/quake2.spec
srpm: https://fredlima.fedorapeople.org/packages/quake2-5.34-4.fc24.src.rpm

Hi Itamar,
can you take a look please?
Thank you.

Comment 16 Itamar Reis Peixoto 2016-07-28 23:42:33 UTC
you need to update the changelog with the fixes/changes that you did, instead of "rebuilt"

add the version of your first change in changelog 5.34-1

after you remove the package

# rpm -e quake2

theres something left here, /usr/share/doc/quake2/examples/ 

I think you probably should change from 

%{_defaultdocdir}/%{name}/examples/*

to something like 

%{_defaultdocdir}/%{name}/

Comment 18 Itamar Reis Peixoto 2016-07-29 02:27:28 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Rpath absent or only used for internal libs.
     Note: See rpmlint output
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "*No
     copyright* GPL (v2 or later) (with incorrect FSF address)", "Unknown
     or generated", "zlib/libpng". 18 files have unknown license. Detailed
     output of licensecheck in
     /home/itamar/fedora/x/1360952-quake2/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     quake2-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[-]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define ver 5_34
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: quake2-5.34-5.fc24.x86_64.rpm
          quake2-debuginfo-5.34-5.fc24.x86_64.rpm
          quake2-5.34-5.fc24.src.rpm
quake2.x86_64: W: spelling-error %description -l en_US archiver -> archive, archives, archived
quake2.x86_64: W: spelling-error %description -l en_US executables -> executable, executable s, executrices
quake2.x86_64: W: spelling-error %description -l en_US txt -> text, ext, tit
quake2.x86_64: W: spelling-error %description -l en_US exe -> ex, exes, exec
quake2.x86_64: W: spelling-error %description -l en_US gl -> lg, fl, g
quake2.x86_64: W: spelling-error %description -l en_US dll -> ll, dell, dill
quake2.x86_64: W: spelling-error %description -l en_US lst -> lat, ls, st
quake2.x86_64: W: spelling-error %description -l en_US ctf -> ct, cf, ctn
quake2.x86_64: W: spelling-error %description -l en_US ico -> co, icon, Rico
quake2.x86_64: W: spelling-error %description -l en_US readme -> reamed, remade, read me
quake2.x86_64: W: spelling-error %description -l en_US cfg -> cf, cg, cog
quake2.x86_64: W: spelling-error %description -l en_US xatrix -> matrix, aviatrix
quake2.x86_64: W: spelling-error %description -l en_US pak -> oak, pal, pa
quake2.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/quake2 ['$ORIGIN/lib', '/usr/lib64/games/quake2/lib']
quake2.x86_64: W: no-manual-page-for-binary quake2
quake2.x86_64: W: no-manual-page-for-binary q2ded
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/header/common.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_monster.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_spawn.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/cvar.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/player/weapon.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_image.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/qal.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_phys.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/qgl.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/header/console.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/tank/tank.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_screen.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/header/server.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/boss3/boss3.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_misc.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_parse.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/brain/brain.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/soldier/soldier.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/header/input.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/berserker/berserker.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/ogg.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/misc.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/header/local.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_ai.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/header/screen.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_main.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/medic/medic.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/player/hud.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_effects.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/glob.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/menu/header/qmenu.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_game.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/header/keyboard.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_chase.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/menu/videomenu.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/sdl/sound.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/collision.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/flipper/flipper.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_warp.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/gladiator/gladiator.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/infantry/infantry.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_draw.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/header/qgl.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/files/stb.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_cmd.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_weapon.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/unix/shared/hunk.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/header/ref.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_main.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_trigger.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/sdl/input.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/pmove.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_particles.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_func.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/sound.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/parasite/parasite.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_entities.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/header/crc.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/unix/main.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/insane/insane.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_keyboard.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/header/vorbis.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/header/glob.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_cin.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/movemsg.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/cmdparser.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/flyer/flyer.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/wave.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/menu/qmenu.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/header/zone.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/unix/system.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/header/vid.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/files/md2.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_misc.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_light.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/shared/flash.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_utils.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/boss2/boss2.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/header/game.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_scrap.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_input.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/files/sp2.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/argproc.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/unix/network.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/files/wal.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/openal.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/player/trail.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_console.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_mesh.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/gunner/gunner.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/boss3/boss31.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/savegame/savegame.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/szone.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_save.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_send.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/netchan.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/header/shared.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_combat.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_surf.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_download.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_view.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_conless.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/menu/menu.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/chick/chick.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_cmds.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_svcmds.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_lights.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_items.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/crc.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/header/model.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/header/local.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/header/local.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/shared/shared.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_main.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/misc.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_user.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/zone.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/mutant/mutant.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/player/view.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_inventory.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_tempentities.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/sdl/refresh.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/boss3/boss32.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/header/files.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_target.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_world.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_model.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/filesystem.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_prediction.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/files/pcx.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_init.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_network.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_entities.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/hover/hover.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_lightmap.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_main.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/unix/signalhandler.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/header/client.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/clientserver.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/unix/header/unix.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_turret.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/vid.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/supertank/supertank.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/savegame/tables/gamemmove_decs.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/player/client.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/float/float.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/misc/move.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/savegame/tables/gamefunc_decs.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/header/qal.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/header/sound.h
quake2.src: W: spelling-error %description -l en_US usr -> use, us, user
quake2.src: W: spelling-error %description -l en_US archiver -> archive, archives, archived
quake2.src: W: spelling-error %description -l en_US executables -> executable, executable s, executrices
quake2.src: W: spelling-error %description -l en_US txt -> text, ext, tit
quake2.src: W: spelling-error %description -l en_US exe -> ex, exes, exec
quake2.src: W: spelling-error %description -l en_US gl -> lg, fl, g
quake2.src: W: spelling-error %description -l en_US dll -> ll, dell, dill
quake2.src: W: spelling-error %description -l en_US lst -> lat, ls, st
quake2.src: W: spelling-error %description -l en_US ctf -> ct, cf, ctn
quake2.src: W: spelling-error %description -l en_US ico -> co, icon, Rico
quake2.src: W: spelling-error %description -l en_US readme -> reamed, remade, read me
quake2.src: W: spelling-error %description -l en_US cfg -> cf, cg, cog
quake2.src: W: spelling-error %description -l en_US xatrix -> matrix, aviatrix
quake2.src: W: spelling-error %description -l en_US pak -> oak, pal, pa
3 packages and 0 specfiles checked; 151 errors, 29 warnings.




Rpmlint (debuginfo)
-------------------
Checking: quake2-debuginfo-5.34-5.fc24.x86_64.rpm
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_parse.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/pmove.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_prediction.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/qgl.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/gunner/gunner.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/sdl/refresh.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/unix/header/unix.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/player/trail.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/misc.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/header/zone.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/sound.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_entities.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_chase.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/header/qal.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_inventory.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/boss3/boss3.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/files/wal.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/header/sound.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/player/client.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/header/files.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/ogg.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/vid.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_effects.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/files/md2.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/header/local.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/header/keyboard.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_items.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/clientserver.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_particles.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/header/client.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/supertank/supertank.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/header/local.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/zone.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/header/ref.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/gladiator/gladiator.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_cmd.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/unix/shared/hunk.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/player/hud.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/files/stb.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_main.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_tempentities.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_warp.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/flyer/flyer.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/header/screen.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/unix/main.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_console.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/flipper/flipper.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/cmdparser.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/cvar.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/files/sp2.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_misc.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/menu/menu.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_mesh.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_trigger.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/berserker/berserker.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_func.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/glob.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_conless.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/boss3/boss31.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/parasite/parasite.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/savegame/savegame.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_lights.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/header/model.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/header/local.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_cmds.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/header/server.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_misc.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_init.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/unix/system.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/header/vid.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_ai.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/tank/tank.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_scrap.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/header/game.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/hover/hover.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_weapon.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/sdl/input.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_utils.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/misc.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/player/view.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_main.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_game.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_model.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_cin.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_input.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/openal.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/crc.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/header/crc.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_surf.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_save.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/chick/chick.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/savegame/tables/gamefunc_decs.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_send.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_main.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/shared/flash.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_view.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_image.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_screen.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_network.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/boss2/boss2.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/savegame/tables/gamemmove_decs.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/header/qgl.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/sdl/sound.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_turret.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/header/console.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/menu/qmenu.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/unix/signalhandler.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/wave.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_entities.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_svcmds.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/insane/insane.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_spawn.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/shared/shared.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/header/input.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/filesystem.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/player/weapon.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/float/float.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/argproc.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/header/common.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/infantry/infantry.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/misc/move.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/qal.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_draw.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_download.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/menu/header/qmenu.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_target.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/boss3/boss32.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_world.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/movemsg.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_combat.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/soldier/soldier.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_monster.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/brain/brain.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_light.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/netchan.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/menu/videomenu.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_phys.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/files/pcx.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/header/shared.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/header/vorbis.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_user.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_keyboard.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/header/glob.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/mutant/mutant.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/medic/medic.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_main.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/collision.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_lightmap.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/szone.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/unix/network.c
1 packages and 0 specfiles checked; 150 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
quake2.x86_64: W: spelling-error %description -l en_US archiver -> archive, archives, archived
quake2.x86_64: W: spelling-error %description -l en_US executables -> executable, executable s, executrices
quake2.x86_64: W: spelling-error %description -l en_US txt -> text, ext, tit
quake2.x86_64: W: spelling-error %description -l en_US exe -> ex, exes, exec
quake2.x86_64: W: spelling-error %description -l en_US gl -> lg, fl, g
quake2.x86_64: W: spelling-error %description -l en_US dll -> ll, dell, dill
quake2.x86_64: W: spelling-error %description -l en_US lst -> lat, ls, st
quake2.x86_64: W: spelling-error %description -l en_US ctf -> ct, cf, ctn
quake2.x86_64: W: spelling-error %description -l en_US ico -> co, icon, Rico
quake2.x86_64: W: spelling-error %description -l en_US readme -> reamed, remade, read me
quake2.x86_64: W: spelling-error %description -l en_US cfg -> cf, cg, cog
quake2.x86_64: W: spelling-error %description -l en_US xatrix -> matrix, aviatrix
quake2.x86_64: W: spelling-error %description -l en_US pak -> oak, pal, pa
quake2.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/quake2 ['$ORIGIN/lib', '/usr/lib64/games/quake2/lib']
quake2.x86_64: W: no-manual-page-for-binary quake2
quake2.x86_64: W: no-manual-page-for-binary q2ded
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_entities.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/openal.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_cmds.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/header/vid.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_main.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/sound.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_light.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/supertank/supertank.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_lights.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_phys.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_mesh.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/misc.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_world.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/savegame/tables/gamemmove_decs.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/header/zone.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/collision.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/unix/network.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/menu/qmenu.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/header/local.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_download.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/unix/header/unix.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/header/client.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/mutant/mutant.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_monster.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/header/input.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/unix/system.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/pmove.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/header/model.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/unix/shared/hunk.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/netchan.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_tempentities.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_func.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/hover/hover.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/header/ref.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_misc.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_user.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/player/trail.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/movemsg.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_lightmap.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_save.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/zone.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/filesystem.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/insane/insane.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/header/local.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_screen.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_prediction.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/misc.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/files/stb.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/files/wal.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/player/weapon.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_game.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/crc.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/shared/flash.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_trigger.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/vid.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_draw.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/header/keyboard.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_weapon.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/boss3/boss3.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_effects.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/sdl/refresh.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/files/sp2.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/menu/menu.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/sdl/sound.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/menu/videomenu.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_input.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_surf.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/szone.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_conless.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/header/console.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_send.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_cmd.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/cvar.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/berserker/berserker.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/chick/chick.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/header/qal.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_entities.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_keyboard.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_cin.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/savegame/tables/gamefunc_decs.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_turret.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/header/local.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/header/sound.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/gunner/gunner.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/boss3/boss32.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/header/crc.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/argproc.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/wave.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/parasite/parasite.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/menu/header/qmenu.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/cmdparser.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/brain/brain.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_utils.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_network.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_image.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/savegame/savegame.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_model.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/sdl/input.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/soldier/soldier.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/qal.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_scrap.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_parse.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/header/common.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/boss3/boss31.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_chase.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/medic/medic.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_combat.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/files/md2.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_svcmds.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_view.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_ai.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/ogg.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/float/float.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_main.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/clientserver.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/player/hud.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/tank/tank.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/header/screen.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_inventory.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/flyer/flyer.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/glob.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_init.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/flipper/flipper.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_console.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/boss2/boss2.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/header/glob.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_spawn.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/unix/signalhandler.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/infantry/infantry.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/player/view.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/gladiator/gladiator.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/sv_main.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/header/game.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_warp.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_target.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/header/qgl.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/generic/qgl.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/server/header/server.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/player/client.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/sound/header/vorbis.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/backends/unix/main.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/shared/shared.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/header/files.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/r_main.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_misc.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/common/header/shared.h
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/monster/misc/move.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/game/g_items.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/refresh/files/pcx.c
quake2-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yquake2-QUAKE2_5_34/src/client/cl_particles.c
2 packages and 0 specfiles checked; 151 errors, 15 warnings.



Requires
--------
quake2 (rpmlib, GLIBC filtered):
    /bin/sh
    libGL.so.1()(64bit)
    libSDL2-2.0.so.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libm.so.6()(64bit)
    libogg.so.0()(64bit)
    libvorbis.so.0()(64bit)
    libvorbisfile.so.3()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

quake2-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
quake2:
    application()
    application(quake2.desktop)
    quake2
    quake2(x86-64)

quake2-debuginfo:
    quake2-debuginfo
    quake2-debuginfo(x86-64)



Unversioned so-files
--------------------
quake2: /usr/lib64/games/quake2/baseq2/game.so

Source checksums
----------------
https://github.com/yquake2/yquake2/archive/QUAKE2_5_34.tar.gz :
  CHECKSUM(SHA256) this package     : 1edb6733fcbfb1b23fe0992cc4a7fd100530d82c1c76aa573e940e02942761a6
  CHECKSUM(SHA256) upstream package : 1edb6733fcbfb1b23fe0992cc4a7fd100530d82c1c76aa573e940e02942761a6


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1360952
Buildroot used: fedora-24-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


< Looks good for me, Package Approved >
 -------------------------------------
        \   ^__^
         \  (oo)\_______
            (__)\       )\/\
                ||----w |
                ||     ||



this is your first package and you need an sponsor to add you in packager group, 
I don't have sponsor power, I am going to help and try to find an sponsor for you.

I think you can take a look in at least 2  tickets in the link bellow  and try to help them, suggesting improvement in their spec files, doing that you will make an sponsor happy and they will approve you in packager group, and you can request a git repo for this package, import and build it in koji.

1 - http://fedoraproject.org/PackageReviewStatus/NEW.html

after you suggest something please include the link of the bug that you helped in a new message here, thank you.

Comment 19 Paulo Andrade 2016-07-29 16:29:09 UTC
  Hi Frederico,

  Itamar asked me if I could be your sponsor. I surely can be :)

  I had original quake CDs in the late 1990 and early 2000 but
no longer have them (I even have trouble getting a CD driver
these days)...

  If I understand correctly, this package is only useful if one
has original, or downloads the free quake2 demo, and extracts
the related pak files.

  I believe you could add cdripper.sh to the package, or to a
quake2-utils package.

  I see it has a CMakeLists.txt, is there some reason cmake is
not being used to build? Likely due to "make" just working :)
But it is installing files manually, instead of make install
to DESTDIR.

  I will make some extra tests, validate the procedures described
to get the package working, but at first, I am sorry to say that
since the package needs the user to download binaries from other
sites, and since there is apparently no other way to get the
package functional, I may need to ask for FE-LEGAL to take a
look (the package itself is fine, the problem is that it is not
useful without downloading non redistributable data files).

Comment 20 Itamar Reis Peixoto 2016-07-29 16:35:39 UTC
(In reply to Paulo Andrade from comment #19)
> 
>I am sorry to say that
> since the package needs the user to download binaries from other
> sites, 

quake3 does the same and is in the repo.

http://koji.fedoraproject.org/koji/packageinfo?packageID=5068

Comment 21 Frederico Lima 2016-07-29 17:37:44 UTC
(In reply to Paulo Andrade from comment #19)

>   I believe you could add cdripper.sh to the package, or to a
> quake2-utils package.

cdripper.sh already in the package, /usr/share/doc/quake2/examples/

quake3 do the same as this new package,
have to download free demo or buy the full version.

but the package don't do this for you, you have to follow the instructions,
like quake3 already on official fedora repo

Comment 22 Gwyn Ciesla 2016-07-29 19:00:14 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/Quake2

Comment 23 Paulo Andrade 2016-07-29 20:14:52 UTC
(In reply to Frederico Henrique Gonçalves Lima from comment #21)
> (In reply to Paulo Andrade from comment #19)
> 
> >   I believe you could add cdripper.sh to the package, or to a
> > quake2-utils package.
> 
> cdripper.sh already in the package, /usr/share/doc/quake2/examples/

  Thanks for noting that.

> quake3 do the same as this new package,
> have to download free demo or buy the full version.
> 
> but the package don't do this for you, you have to follow the instructions,
> like quake3 already on official fedora repo

  The problem I see are the links. This is a somewhat gray area.

  Maybe the instruction to run should be something like:

$ mkdir quake2-dl
$ cd quake2-dl
$ wget http://deponie.yamagi.org/quake2/idstuff/q2-314-demo-x86.exe
$ unzip q2-314-demo-x86.exe

$ sudo cp Install/Data/baseq2/pak0.pak /usr/lib64/games/quake2/baseq2/

  or

$ mkdir -p ~/.yq2/baseq2
$ cp Install/Data/baseq2/pak0.pak ~/.yq2/baseq2

$ quake2

  The instruction for download link could be better
instructing to download from

ftp://ftp.idsoftware.com/idstuff/quake2/

and instead of having it in %description, have it in a
README.fedora %doc file.

  This is my first time checking these as well, but I suggest
checking the packages that use the quake3 engine. They use
wrappers, and some other checks, for example
/usr/share/opengl-games-utils/opengl-game-functions.sh and
checkDriOK, that would by default not start if there is no
3D acceleration. Some of that may be somewhat outdated.

  openarena distributes its free data files.

   worldofpadman and quake3-demo uses autodownloader. Maybe
you could use a similar approach, having a quake2 wrapper, and
use autodownloader to download and extract to $HOME/.yq2/baseq2,
this would as well ensure the user knows what is being done,
and agrees to any licenses.

  What you think about using autodownloader? Please check
quake3-demo and worldofpadman packages, and how those packages
use a wrapper shell, and the related .autodlrc file.

Comment 24 Frederico Lima 2016-07-30 01:33:22 UTC
I will do the readme and the autodownloader
But 3d hardware acceleration even on simple arm have today.
AMD and intel CPUs come with acceleration inside.
Don't you think?
Thanks Paulo

Comment 25 Itamar Reis Peixoto 2016-07-30 21:19:11 UTC
sorry, the repo was created for Quake2, when we try to build it we got an error.

BuildError: package quake2 not in list for tag f26

Comment 26 Itamar Reis Peixoto 2016-07-30 21:20:31 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=15079385

may we request a repo with name quake2 and throw away the other one ?

Comment 27 Kevin Fenzi 2016-07-31 02:43:44 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/quake2

Comment 28 Fedora Update System 2016-07-31 11:56:09 UTC
quake2-5.34-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-96c2844218

Comment 29 Fedora Update System 2016-08-01 20:57:34 UTC
quake2-5.34-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-96c2844218

Comment 30 Fedora Update System 2016-08-02 19:52:52 UTC
quake2-5.34-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.